#
# spec file for package python-requests-oauthlib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           python-requests-oauthlib
Version:        0.7.0
Release:        3.1
Summary:        OAuthlib authentication support for Requests
License:        ISC
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/requests-oauthlib
Source:         requests-oauthlib-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-requests >= 2.0.0
Requires:       python-oauthlib >= 0.6.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Accessing protected resources using requests_oauthlib for OAuth
versions one and two. Details about the workflow can be found
on the requests-oauthlib project page

%prep
%setup -q -n requests-oauthlib-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}/%{python_sitelib}/*

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Feb  3 2017 ms@suse.com
- Include in SLE 12 (fate#322171, bsc#1014478)
* Fri Feb  3 2017 ms@suse.com
- Initial build
  + Version 0.7.0
